<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Coffee</title>
    <link rel="stylesheet" href="assets/styles.css">
</head>
<body>
    <div class="page">
        <img src="assets/images/cuppa.png"/>
        <section class="loading">
            <h1 class="h1">Good things</h1>
            <hr>
            <h2 class="h2 font-accent">are worth waiting for</h2>
        </section>
        <section class="login is-hidden">
            <div class="h-wrapper">
                <label for="username">Username</label>
                <input name="username" id="username" data-label="login__username" class="login__username textfield">
            </div>
            <div class="h-wrapper">
                <label for="password">Password</label>
                <input name="password" id="password" data-label="login__password" class="login__password textfield" type="password">
            </div>
            <a class="login__login link" href="#">Login</a>
            <a class="login__register link" href="#">Register</a>
        </section>
        <section class="coffee-choice is-hidden" data-type="">
            <div class="coffee-choice__classic coffee-choice__option">Good old classics</div>
            <div class="coffee-choice__custom coffee-choice__option font-accent">Make an original</div>
        </section>
        <section class="coffee-size font-accent is-hidden" data-size="">
            <h1 class="h1 font-secondary">size</h1>
            <div class="coffee-size-xs size__option is-option" data-size="xs">pinch my cheeks and call me cute</div>
            <div class="coffee-size-sm size__option is-option" data-size="sm">pat my back and tell me i'm fine</div>
            <div class="coffee-size-lg size__option is-option" data-size="lg">knock some on my teeth and open my eyes</div>
            <div class="coffee-size-xl size__option is-option" data-size="xl">rattle my bones and remind me to breathe</div>
            <div class="coffee-size-xxl size__option is-option" data-size="xxl">i don't need an alarm clock if i don't sleep</div>
            <div class="coffee-size-xl-xtra size__option is-option" data-size="xtra">nuke me babe&trade;</div>
        </section>
        <section class="coffee-type is-hidden" data-preparation="" data-shot="">
            <div class="coffee-type__list">
                <h1 class="h1 font-secondary">prep method || coffee type</h1>
                <div class="coffee-type__list-item is-option" data-preparation="espresso">espresso</div>
                <div class="coffee-type__list-item is-option" data-preparation="vienna">vienna</div>
                <div class="coffee-type__list-item is-option" data-preparation="borgia">borgia</div>
                <div class="coffee-type__list-item is-option" data-preparation="mocha">mocha</div>
                <div class="coffee-type__list-item is-option" data-preparation="dripper">dripper</div>
                <div class="coffee-type__list-item is-option" data-preparation="turkish">turkish</div>
                <div class="coffee-type__list-item is-option" data-preparation="dead-eye">dead eye</div>
                <div class="coffee-type__list-item is-option" data-preparation="red-eye">red eye</div>
                <div class="coffee-type__list-item is-option" data-preparation="lazy-eye">lazy eye</div>
            </div>
            <div class="coffee-type__custom is-hidden font-accent">
                <h1 class="h1 font-secondary">loading your mag</h1>
                <div class="coffee-type__list-item is-option" data-shot="1 shot">1 shot</div>
                <div class="coffee-type__list-item is-option" data-shot="2 shots">2 shots</div>
                <div class="coffee-type__list-item is-option" data-shot="3 shots">3 shots</div>
                <div class="coffee-type__list-item is-option" data-shot="4 shots">skip the water, i'll just suck on the beans</div>
            </div>
        </section>
        <section class="milk-selection is-hidden" data-milk="">
            <h1 class="h1 font-secondary">milk type</h1>
            <div class="milk-selection__option is-option" data-milk="cashew">cashew</div>
            <div class="milk-selection__option is-option" data-milk="soy">soy</div>
            <div class="milk-selection__option is-option" data-milk="cow">cow</div>
            <div class="milk-selection__option is-option" data-milk="coconut">coconut</div>
        </section>
        <section class="milk-balance is-hidden">
            <h1 class="h1 font-secondary">milk balance</h1>
            <div class="milk-balance__inner">
                <p class="milk-balance__percentage">0 %</p>
                <input class="milk-balance__slider" type="range" name="milk-balance" value="0" min="0" max="100">
                <button class="button milk-balance__next">NEXT</button>
            </div>
        </section>
        <section class="milk-foam is-hidden">
            <h1 class="h1 font-secondary">milk foam</h1>
            <div class="milk-foam__inner">
                <div class="milk-foam__info">
                    <h3 class="milk-foam__percentage">0 %</h3>
                </div>
                <input class="milk-foam__slider" type="range" name="milk-balance" value="0" min="0" max="100">
                <button class="button milk-foam__next">NEXT</button>
            </div>
        </section>
        <section class="syrup is-hidden" data-syrup="">
            <h1 class="h1 font-secondary">syrup of choice</h1>
            <div class="syrup__option is-option" data-syrup="caramel">caramel</div>
            <div class="syrup__option is-option" data-syrup="chocolate">chocolate</div>
            <div class="syrup__option is-option" data-syrup="pumpkin spice">pumpkin spice</div>
            <div class="syrup__option is-option" data-syrup="irish">irish</div>
        </section>
        <section class="additives is-hidden" data-additives="">
            <h1 class="h1 font-secondary">something sweet, something savory</h1>
            <div class="additives__option is-option" data-additives="sugar">sugar</div>
            <div class="additives__option is-option" data-additives="cinnamon">cinnamon</div>
            <div class="additives__option is-option" data-additives="whipped cream">whipped cream</div>
            <div class="additives__option is-option" data-additives="chocolate sprinkles">chocolate sprinkles</div>
        </section>
        <section class="final is-hidden">
            <div class="final__details"></div>
            <button type="button" class="final__button button">Finalise</button>
        </section>
        <section class="pay is-hidden">
            Processing your order...
        </section>
        <section class="order-status is-hidden">
            <div class="order-status__inner is-option">
                Order successful! <br> <span class="font-secondary">Your coffee will be prepared shortly</span>
            </div>
        </section>
    </div>
    <script src="assets/bundle.js"></script>
</body>